[arch-commits] Commit in python-parse/repos/community-any (4 files)
Johannes Löthberg
demize at archlinux.org
Sun May 27 23:16:55 UTC 2018
Date: Sunday, May 27, 2018 @ 23:16:54
Author: demize
Revision: 332112
archrelease: copy trunk to community-any
Added:
python-parse/repos/community-any/LICENSE
(from rev 332111, python-parse/trunk/LICENSE)
python-parse/repos/community-any/PKGBUILD
(from rev 332111, python-parse/trunk/PKGBUILD)
Deleted:
python-parse/repos/community-any/LICENSE
python-parse/repos/community-any/PKGBUILD
----------+
LICENSE | 38 ++++++++++++------------
PKGBUILD | 96 +++++++++++++++++++++++++++++--------------------------------
2 files changed, 65 insertions(+), 69 deletions(-)
Deleted: LICENSE
===================================================================
--- LICENSE 2018-05-27 23:16:49 UTC (rev 332111)
+++ LICENSE 2018-05-27 23:16:54 UTC (rev 332112)
@@ -1,19 +0,0 @@
-Copyright (c) 2012-2013 Richard Jones <richard at python.org>
-
-Permission is hereby granted, free of charge, to any person obtaining a copy
-of this software and associated documentation files (the "Software"), to deal
-in the Software without restriction, including without limitation the rights
-to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-copies of the Software, and to permit persons to whom the Software is
-furnished to do so, subject to the following conditions:
-
- The above copyright notice and this permission notice shall be included in
- all copies or substantial portions of the Software.
-
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
-SOFTWARE.
Copied: python-parse/repos/community-any/LICENSE (from rev 332111, python-parse/trunk/LICENSE)
===================================================================
--- LICENSE (rev 0)
+++ LICENSE 2018-05-27 23:16:54 UTC (rev 332112)
@@ -0,0 +1,19 @@
+Copyright (c) 2012-2013 Richard Jones <richard at python.org>
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+ The above copyright notice and this permission notice shall be included in
+ all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2018-05-27 23:16:49 UTC (rev 332111)
+++ PKGBUILD 2018-05-27 23:16:54 UTC (rev 332112)
@@ -1,50 +0,0 @@
-# Maintainer: Johannes Löthberg <johannes at kyriasis.com>
-# Contributor: Aaron DeVore <aaron.devore at gmail.com>
-
-pkgbase=python-parse
-pkgname=(python-parse python2-parse)
-pkgver=1.8.2
-pkgrel=1
-
-pkgdesc='Parse strings using a specification based on the Python format() syntax.'
-url='http://pypi.python.org/pypi/parse'
-arch=('any')
-license=('BSD')
-
-makedepends=('python-setuptools' 'python2-setuptools')
-
-source=("https://pypi.org/packages/source/p/parse/parse-$pkgver.tar.gz"{,.asc}
- LICENSE) # license from the bottom of parse.py
-
-md5sums=('42002338551bdfa0f01bbe4e679a17dd'
- 'SKIP'
- '68c10fa20482cc4328a1052695fb7e53')
-
-validpgpkeys=('0145FD2B52E80A8E329A16C7AC68AC0441C6E930')
-
-
-check() {
- cd parse-"$pkgver"
- python test_parse.py || warning 'test_too_many_fields fails on Python 3'
- python2 test_parse.py
-}
-
-
-package_python-parse() {
- depends=('python')
-
- install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
-
- cd parse-"$pkgver"
- python setup.py install --root="$pkgdir" --optimize=1
-}
-
-
-package_python2-parse() {
- depends=('python2')
-
- install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
-
- cd parse-"$pkgver"
- python2 setup.py install --root="$pkgdir" --optimize=1
-}
Copied: python-parse/repos/community-any/PKGBUILD (from rev 332111, python-parse/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2018-05-27 23:16:54 UTC (rev 332112)
@@ -0,0 +1,46 @@
+# Maintainer: Johannes Löthberg <johannes at kyriasis.com>
+# Contributor: Aaron DeVore <aaron.devore at gmail.com>
+
+pkgbase=python-parse
+pkgname=(python-parse python2-parse)
+pkgver=1.8.4
+pkgrel=1
+
+pkgdesc='Parse strings using a specification based on the Python format() syntax.'
+url='http://pypi.python.org/pypi/parse'
+arch=('any')
+license=('BSD')
+
+makedepends=('python-setuptools' 'python2-setuptools')
+
+source=("https://pypi.org/packages/source/p/parse/parse-$pkgver.tar.gz"
+ LICENSE) # license from the bottom of parse.py
+
+md5sums=('fa69ab2fe846f9b183411391f7c6897b'
+ '68c10fa20482cc4328a1052695fb7e53')
+
+check() {
+ cd parse-"$pkgver"
+ python test_parse.py || warning 'test_too_many_fields fails on Python 3'
+ python2 test_parse.py
+}
+
+
+package_python-parse() {
+ depends=('python')
+
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
+
+ cd parse-"$pkgver"
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+
+package_python2-parse() {
+ depends=('python2')
+
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
+
+ cd parse-"$pkgver"
+ python2 setup.py install --root="$pkgdir" --optimize=1
+}
More information about the arch-commits
mailing list